Package org.eclipse.emf.cdo.server

## Interface CDOServerBrowser.Page

- All Known Implementing Classes:
    `CDOServerBrowser.AbstractPage`, `CDOServerBrowser.HistoryPage`, `CDOServerBrowser.LobsPage`, `CDOServerBrowser.LocksPage`, `CDOServerBrowser.PackagesPage`, `CDOServerBrowser.RevisionsPage`, `CDOServerBrowser.RevisionsPage.FromCache`, `CDOServerBrowser.RevisionsPage.FromStore`
  Enclosing class:
    CDOServerBrowser

      public static interface CDOServerBrowser.Page

  Represents pluggable content for a `server browser`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canDisplay​(InternalRepository repository)` |
    `void` | `display​(CDOServerBrowser browser, InternalRepository repository, java.io.PrintStream out)` |
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getName()` |

- - ### Field Detail

    - #### PRODUCT_GROUP

          static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getLabel

          java.lang.String getLabel()

    - #### canDisplay

          boolean canDisplay​(InternalRepository repository)

    - #### display

          void display​(CDOServerBrowser browser,
                       InternalRepository repository,
                       java.io.PrintStream out)